List bots
Returns a list of all bots configured in the specified instance. Includes both online and offline bots with their current status. For online bots, includes live state (position, health, etc.) but NOT full inventory data.
Returns a list of all bots configured in the specified instance. Includes both online and offline bots with their current status. For online bots, includes live state (position, health, etc.) but NOT full inventory data.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
The UUID of the SoulFire instance to list bots from. Must be a valid UUID string format.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots"{ "bots": [ { "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a", "isOnline": true, "liveState": { "x": 0.1, "y": 0.1, "z": 0.1, "xRot": 0.1, "yRot": 0.1, "health": 0.1, "maxHealth": 0.1, "foodLevel": 0, "saturationLevel": 0.1, "inventory": [ { "slot": 0, "itemId": "string", "count": 0, "displayName": "string", "iconBase64": "string", "iconMimeType": "string" } ], "selectedHotbarSlot": 0, "dimension": "string", "experienceLevel": 0, "experienceProgress": 0.1, "skinTextureHash": "string", "gameMode": "GAME_MODE_UNSPECIFIED" }, "pingMs": 0, "connectionPhase": "BOT_CONNECTION_PHASE_UNSPECIFIED", "accountName": "string", "status": { "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a", "desiredState": "BOT_DESIRED_STATE_UNSPECIFIED", "runtimeState": "BOT_RUNTIME_STATE_UNSPECIFIED", "lastError": "string", "updatedAt": "2019-08-24T14:15:22Z" } } ]}How is this page?
